<template>
  <div style="position: relative">
    <Header v-if="route.path !== '/auth'"/>
    <div v-if="isAuth" class="is_admin">
      <q-card class="q-pa-xs flex">
        <div>Режим админа<q-toggle v-model="isAdmin" /></div>
        <q-btn @click="logout" label="Выход" class="ml-auto flex" color="primary"/>
      </q-card>
    </div>
    <router-view/>
    <Footer class="app-footer" v-if="$route.path !== '/auth'"/>
  </div>
</template>

<script>
import Header from "../src/components/Header.vue";
import {ref, computed, watch} from "vue";
import {useRoute} from "vue-router";
import {useStore} from "vuex";
import Footer from "../src/components/Footer.vue";

export default {
  components: {
    Footer,
    Header,
  },
  setup() {
    const route = useRoute()
    const store = useStore()
    const visible = ref(true)
    const isAdmin = ref(store.state.isAdmin)

    watch(isAdmin, () => {
      store.dispatch('setAdmin')
    })

    return {
      route,
      visible,
      isAdmin,
      isAuth: computed(() => store.getters.isAuth),
      logout: function () {store.dispatch('logout')}
    }
  },
}
</script>
<style>
@import "./assets/css/style_root.css";
@import "./assets/css/style_headerFooter_mobile.css";
@import "./assets/css/style_headerFooter_desktop.css";
@import "./assets/css/style_home_mobile.css";
@import "./assets/css/style_home_desktop.css";
/*html {overflow: hidden!important;}*/
a {border: none}
.is_admin {
  position: fixed;
  bottom: 100px;
  z-index: 100;
}
</style>
